This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 995176 - RFE: Implement set-uuid command
RFE: Implement set-uuid command
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libguestfs (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Richard W.M. Jones
Virtualization Bugs
: FutureFeature
Depends On: 986877
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-08 13:32 EDT by Richard W.M. Jones
Modified: 2014-06-17 22:00 EDT (History)
4 users (show)

See Also:
Fixed In Version: libguestfs-1.22.6-2.el7
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 986877
Environment:
Last Closed: 2014-06-13 07:25:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2013-08-08 13:32:21 EDT
+++ This bug was initially created as a clone of Bug #986877 +++

Description of problem:

Currently UUIDs on ext2/3/4 filesystems can be set using the special
set-e2uuid command.  However it's possible to set these as well for
XFS (using xfs_admin -U ...).  We should implement a generic set-uuid
call which can handle either.

(Requested by: Bo Fan)

--- Additional comment from Richard W.M. Jones on 2013-07-22 08:54:36 EDT ---

Fixed/implemented upstream:

https://github.com/libguestfs/libguestfs/commit/091d22f49e7fcb53fb3bb23e2ba94ca12eb88eab
https://github.com/libguestfs/libguestfs/commit/8580ef7d0f2aac2118fa7b4055f3eb28cd127093
https://github.com/libguestfs/libguestfs/commit/df02c2471f3fe94c691c389c17a5d23d052848dd
https://github.com/libguestfs/libguestfs/commit/8965368eb89532ac1613fffb0a3a661f005bae81

NB: the fs-uuids patch (last one in that list) is broken.  Fixed
by a later patch upstream:

5deea7fce675edb6803cd83a699b80e8ea383488

So either both or neither of those should be applied.
Comment 2 bfan 2013-12-04 04:44:56 EST
Verified with libguestfs-1.22.6-16.el7.x86_64

# guestfish -N fs:xfs set-uuid /dev/sda1 9a804901-5f19-4b0c-808a-f00c498599fb : get-e2uuid /dev/sda1
9a804901-5f19-4b0c-808a-f00c498599fb


set-uuid works for xfs
Comment 3 Ludek Smid 2014-06-13 07:25:36 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.